Jump to content
  • 0
tmp-meteque

I can't update nodejs after python upgrade

Question

Hi, I'm new to Funtoo and I can't debug this. Thank you for your help.

>>> Source compiled.
>>> Test phase [not enabled]: net-libs/nodejs-5.5.0

>>> Install nodejs-5.5.0 into /var/tmp/portage/net-libs/nodejs-5.5.0/image/ category net-libs
make -C out BUILDTYPE=Release V=1
make[1]: Entering directory '/var/tmp/portage/net-libs/nodejs-5.5.0/work/node-v5.5.0/out'
make[1]: Nothing to be done for 'all'.
make[1]: Leaving directory '/var/tmp/portage/net-libs/nodejs-5.5.0/work/node-v5.5.0/out'
ln -fs out/Release/node node
/usr/bin/python2.7 tools/install.py install '/var/tmp/portage/net-libs/nodejs-5.5.0/image/' '/usr'
 * ACCESS DENIED:  mkdir:        /usr/etc
/var/tmp/portage/net-libs/nodejs-5.5.0/image//usr/lib64/node_modules/npm/node_modules/archy/examples
/var/tmp/portage/net-libs/nodejs-5.5.0/image//usr/lib64/node_modules/npm/node_modules/fstream/examples
/var/tmp/portage/net-libs/nodejs-5.5.0/image//usr/lib64/node_modules/npm/node_modules/mkdirp/examples
/var/tmp/portage/net-libs/nodejs-5.5.0/image//usr/lib64/node_modules/npm/node_modules/node-gyp/node_modules/tar/examples
/var/tmp/portage/net-libs/nodejs-5.5.0/image//usr/lib64/node_modules/npm/node_modules/nopt/examples
/var/tmp/portage/net-libs/nodejs-5.5.0/image//usr/lib64/node_modules/npm/node_modules/npmlog/node_modules/ansi/examples
/var/tmp/portage/net-libs/nodejs-5.5.0/image//usr/lib64/node_modules/npm/node_modules/request/node_modules/hawk/node_modules/sntp/examples
/var/tmp/portage/net-libs/nodejs-5.5.0/image//usr/lib64/node_modules/npm/node_modules/tar/examples
 [ ok ]
>>> Completed installing nodejs-5.5.0 into /var/tmp/portage/net-libs/nodejs-5.5.0/image/

 * --------------------------- ACCESS VIOLATION SUMMARY ---------------------------
 * LOG FILE: "/tmp/sandbox-17099.log"
 * 
VERSION 1.0
FORMAT: F - Function called
FORMAT: S - Access Status
FORMAT: P - Path as passed to function
FORMAT: A - Absolute Path (not canonical)
FORMAT: R - Canonical Path
FORMAT: C - Command Line

F: mkdir
S: deny
P: /usr/etc
A: /usr/etc
R: /usr/etc
C: npm                                                                                
 * --------------------------------------------------------------------------------

I upload the entire log because I don't know if it can be useful:

https://ptpb.pw/s3sq

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild     U  ] net-libs/nodejs-5.5.0 [5.4.1] USE="snapshot* -doc% {-test%}" CPU_FLAGS_X86="sse2%*"
[ebuild  N     ] media-libs/stk-4.5.0  USE="alsa -debug -doc -jack -oss -static-libs"
[ebuild   R    ] app-misc/ranger-1.7.2  PYTHON_TARGETS="python3_4* -python3_3*"
[ebuild   R    ] dev-libs/libnl-3.2.27  PYTHON_TARGETS="python3_4* -python3_3*"
[ebuild     U  ] net-misc/youtube-dl-2016.02.10 [2016.02.01] PYTHON_SINGLE_TARGET="python3_4* -python3_3*" PYTHON_TARGETS="python3_4* -python3_3*"
[ebuild   R    ] net-irc/weechat-1.4  PYTHON_SINGLE_TARGET="python3_4* -python3_3*"
PYTHON_TARGETS="python3_4* -python3_3*"
[ebuild   R    ] sys-apps/util-linux-2.27.1  PYTHON_SINGLE_TARGET="python3_4* -python3_3*" PYTHON_TARGETS="python3_4* -python3_3*"
[ebuild   R    ] app-editors/vim-7.4.712  PYTHON_TARGETS="python3_4* -python3_3*"
[ebuild   R    ] sys-boot/boot-update-1.7.3-r1  PYTHON_SINGLE_TARGET="python2_7* -python3_3*" PYTHON_TARGETS="-python3_3*"
[ebuild   R    ] app-office/openoffice-bin-4.1.2  LINGUAS="-es*"
[ebuild     U  ] net-print/cups-2.1.3-r1 [2.1.3]
[ebuild     U  ] net-print/cups-filters-1.8.1-r1 [1.8.1] USE="postscript%*"
[ebuild     U  ] media-sound/mumble-1.2.13 [1.2.12]
[ebuild  N     ] media-libs/libsdl-1.2.15-r9  USE="X aalib alsa joystick opengl sound video -custom-cflags -dga -fbcon -libcaca -nas -oss -pulseaudio -static-libs -tslib -xinerama -xv" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] media-libs/smpeg-0.4.4-r10  USE="X opengl -debug -static-libs" ABI_X86="(64) -32 (-x32)" CPU_FLAGS_X86="(-mmx)"
[ebuild  N     ] media-libs/sdl-sound-1.0.3-r1  USE="flac mikmod modplug mp3 mpeg speex vorbis -physfs -static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild   R    ] media-sound/lmms-1.1.3  USE="sdl* stk*"
[ebuild     U  ] www-plugins/adobe-flash-11.2.202.569 [11.2.202.559]

Make.conf:

CHOST="x86_64-pc-linux-gnu"
CFLAGS="-march=core-avx-i -O2 -pipe"
CXXFLAGS="${CFLAGS}"
MAKEOPTS="-j5"

VIDEO_CARDS="intel"
INPUT_DEVICES="evdev synaptics"
USE="infinality vaapi dri ffmpeg -libav -vlc -kde "

PORT_LOGDIR="/var/log/portage"
FEATURES="clean-logs split-log"
EMERGE_DEFAULT_OPTS="--quiet-build=y"

PYTHON_TARGETS="python2_7 python3_4"

# nodejs
PAX_MARKINGS="none"

package.use:

media-video/ffmpeg openssl gnutls
app-crypt/pinentry gtk
mail-client/mutt gpg sidebar
net-im/bitlbee gnutls otr
app-office/openoffice-bin linguas_fr
media-video/mpv lua
media-sound/ncmpcpp visualizer
media-sound/lmms sdl stk

# Dependencias vaapi, i3
x11-libs/cairo xcb
x11-libs/libxcb xkb
x11-libs/libva-intel-driver abi_x86_32 abi_x86_64
x11-libs/libva abi_x86_32 abi_x86_64

package.use only for skype:

  abi_x86_32
sys-apps/util-linux               abi_x86_32
sys-libs/ncurses                  abi_x86_32
sys-libs/readline                 abi_x86_32
sys-libs/zlib                     abi_x86_32
# Mind your package choices for these virtuals and change accordingly
virtual/jpeg:0                    abi_x86_32
virtual/libffi                    abi_x86_32
virtual/libiconv                  abi_x86_32
virtual/libintl                   abi_x86_32
virtual/pkgconfig                 abi_x86_32
x11-libs/libICE                   abi_x86_32
x11-libs/libSM                    abi_x86_32
x11-libs/libX11                   abi_x86_32
x11-libs/libXScrnSaver            abi_x86_32
x11-libs/libXau                   abi_x86_32
x11-libs/libXcursor               abi_x86_32
x11-libs/libXdmcp                 abi_x86_32
x11-libs/libXext                  abi_x86_32
x11-libs/libXfixes                abi_x86_32
x11-libs/libXi                    abi_x86_32
x11-libs/libXrandr                abi_x86_32
x11-libs/libXrender               abi_x86_32
x11-libs/libXv                    abi_x86_32
x11-libs/libxcb                   abi_x86_32
x11-proto/fixesproto              abi_x86_32
x11-proto/inputproto              abi_x86_32
x11-proto/kbproto                 abi_x86_32
x11-proto/randrproto              abi_x86_32
x11-proto/renderproto             abi_x86_32
x11-proto/scrnsaverproto          abi_x86_32
x11-proto/videoproto              abi_x86_32
x11-proto/xcb-proto               abi_x86_32
x11-proto/xextproto               abi_x86_32
x11-proto/xf86bigfontproto        abi_x86_32
x11-proto/xproto                  abi_x86_32

net-im/skype apulse -pulseaudio
# required by sys-auth/polkit-0.113-r1::gentoo
# required by sys-fs/udisks-2.1.6::gentoo
# required by udisks (argument)
>=sys-auth/consolekit-0.4.6 policykit

Share this post


Link to post
Share on other sites

2 answers to this question

Recommended Posts

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×
×
  • Create New...